﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 15/03/2019 13:21:53
-- Server version: 5.5.5-10.1.36-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE m2u2practica1_hotel;

--
-- Drop table `reserva`
--
DROP TABLE IF EXISTS reserva;

--
-- Drop table `clientes`
--
DROP TABLE IF EXISTS clientes;

--
-- Drop table `gastos`
--
DROP TABLE IF EXISTS gastos;

--
-- Drop table `habitacion`
--
DROP TABLE IF EXISTS habitacion;

--
-- Drop table `tipohabitacion`
--
DROP TABLE IF EXISTS tipohabitacion;

--
-- Set default database
--
USE m2u2practica1_hotel;

--
-- Create table `tipohabitacion`
--
CREATE TABLE tipohabitacion (
  idTipo int(11) NOT NULL,
  categoria varchar(20) DEFAULT NULL,
  descripcion blob DEFAULT NULL,
  precioHab float DEFAULT NULL,
  PRIMARY KEY (idTipo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `habitacion`
--
CREATE TABLE habitacion (
  numHabitacion int(11) NOT NULL,
  idTipo int(11) DEFAULT NULL,
  PRIMARY KEY (numHabitacion)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE habitacion
ADD CONSTRAINT FK_habitacion_tipoHabitacion_idTipo FOREIGN KEY (idTipo)
REFERENCES tipohabitacion (idTipo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `gastos`
--
CREATE TABLE gastos (
  codReserva int(11) NOT NULL,
  idGasto int(11) NOT NULL AUTO_INCREMENT,
  descGasto float DEFAULT NULL,
  importeGasto float DEFAULT NULL,
  PRIMARY KEY (codReserva),
  UNIQUE INDEX idGasto (idGasto)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `clientes`
--
CREATE TABLE clientes (
  DNI varchar(10) NOT NULL,
  nombre varchar(20) DEFAULT NULL,
  apellidos varchar(20) DEFAULT NULL,
  telefono varchar(12) DEFAULT NULL,
  email varchar(20) DEFAULT NULL,
  direccion varchar(20) DEFAULT NULL,
  fechaNac date DEFAULT NULL,
  poblacion varchar(20) DEFAULT NULL,
  codPostal int(11) DEFAULT NULL,
  Provincia varchar(20) DEFAULT NULL,
  Pais varchar(20) DEFAULT NULL,
  PRIMARY KEY (DNI)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `reserva`
--
CREATE TABLE reserva (
  codReserva int(11) NOT NULL AUTO_INCREMENT,
  fechaEntrada date DEFAULT NULL,
  fechaSalida date DEFAULT NULL,
  numHabitacion int(11) DEFAULT NULL,
  DNI varchar(10) DEFAULT NULL,
  IVA float DEFAULT NULL,
  PRIMARY KEY (codReserva)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE reserva
ADD CONSTRAINT FK_reserva_clientes_DNI FOREIGN KEY (DNI)
REFERENCES clientes (DNI) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE reserva
ADD CONSTRAINT FK_reserva_gastos_codReserva FOREIGN KEY (codReserva)
REFERENCES gastos (codReserva) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE reserva
ADD CONSTRAINT FK_reserva_habitacion_numHabitacion FOREIGN KEY (numHabitacion)
REFERENCES habitacion (numHabitacion) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;